# Copyright (C) 2009 Oracle Inc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

from ovmtb.templates.WizardStep import WizardStep
from django.template import RequestContext, Context, loader
from django.http import HttpResponse, HttpResponseRedirect
from django.shortcuts import render_to_response
from ovmtb.templates.models import TemplateProject
from django.forms import ModelForm
from subprocess import Popen, PIPE
import os, re

def checkBuildDaemonStatus():
    cmd = 'ps -ef | grep ovmtb'
    regex = re.compile("\/usr\/local\/sbin\/ovmtbbuilddaemon\.py")

    try:
        scanProcess = Popen(cmd, shell=True, bufsize=0, stdout=PIPE, stderr=PIPE, close_fds=False)
    except OSError:
        return 0
    lines = scanProcess.stdout.readlines()
    for line in lines:
        if regex.search(line):
            return 1

    return 0

class DaemonStep(WizardStep):

    def __init__(self,
            template = 'admin_daemon.html',
            context_params = {
                'tab_template': "admin_tab_active.html",
                'submenu_template': "admin_daemon_submenu.html",
            },
            cancel_url = '',
            save_url = '',
            previous_url = '',
            next_url = '/ovmtb/admin/'):
        self.template = template
        self.context_params = context_params
        self.cancel_url = cancel_url
        self.save_url = save_url
        self.previous_url = previous_url
        self.next_url = next_url

    def generateResponse(self, request):
        if request.method == 'POST':
            # Only button is the refreshButton, so redirect to self (which should be in self.previous_url)
            return HttpResponseRedirect(self.previous_url)

        # Otherwise check the status of the deamon and display the log file
        else:
            self.context_params['status'] = checkBuildDaemonStatus()
            if os.access("/var/log/ovmtbbuilddaemon.log", os.R_OK):
                f = open("/var/log/ovmtbbuilddaemon.log", "r")
                lines = f.readlines()
                f.close()
                text = "".join(lines)
                self.context_params['log'] = text
            else:
                self.context_params['log'] = "No log data"
            t = loader.get_template(self.template)
            c = RequestContext(request, self.context_params)
            return HttpResponse(t.render(c))
