#!/usr/bin/python
# Copyright (C) 2009 Oracle Inc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
import os
import sys
from optparse import OptionParser

from django.conf import settings
from django.contrib.sites.models import Site

def main():
    """
    """
    usage = "usage: %prog -n <name> -d <domain>"
    parser = OptionParser(usage)
    parser.add_option("-n", "--name", dest="name",
                      help="name")
    parser.add_option("-d", "--domain", dest="domain",
                      help="domain name")
    (options, args) = parser.parse_args()

    if not options.name or not options.domain:
        parser.error("wrong args")
    name = options.name
    domain= options.domain

    try:
        s = Site.objects.get(id=settings.SITE_ID)
    except Site.DoesNotExist:
        s = Site(name=name, domain=domain)
    else:
        s.name = name
        s.domain = domain
    s.save()

if __name__ == "__main__":
    main()

