#!/bin/bash
# Copyright (C) 2009 Oracle Inc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
#set -x

TB_VERSION="2.1.0-4"

. /usr/lib/oraclevm-template/functions
ovm_configure_network 

ovm_info "Configuring Oracle VM Template Builder"

TB_HOME=/var/www/html/ovmtb
SCRIPTS_HOME=$TB_HOME/scripts

ovm_info "Initializeing database."
cd $TB_HOME
python manage.py syncdb
#chmod a+w $TB_HOME/db/ovmtb.db

# start ovmtb daemon
#service ovmtb start

site=$(hostname)
# if get a invalid hostname, then give IP address.
if [ "$site" = "localhost.localdomain" ]; then
  site=$(ifconfig eth0|grep "inet addr" | sed 's/.*inet addr:\([^ ]*\).*/\1/')
fi
if ! host $site >/dev/null 2>&1; then
  site=$(ifconfig eth0|grep "inet addr" | sed 's/.*inet addr:\([^ ]*\).*/\1/')
fi

# init, change sites domain name
export PYTHONPATH=/var/www/html
export DJANGO_SETTINGS_MODULE=ovmtb.settings
cd $SCRIPTS_HOME
ovm_log "Changing site name"
python ovmtb-init.py -n $site -d $site

ovm_log "Restarting httpd"
service httpd restart
service ovmtb restart
# open httpd and sshd port for firewall
system-config-securitylevel-tui --quiet \
       --port=http \
       --port=ssh

echo
ovm_info "Oracle VM Template Builder $TB_VERSION configuration completed."
ovm_info  "Please go to http://$site/ovmtb"
press_anykey
