# Django settings for ovmtb project.

DEBUG = True
TEMPLATE_DEBUG = DEBUG

ADMINS = (
    # ('Your Name', 'your_email@domain.com'),
)

MANAGERS = ADMINS

DATABASE_ENGINE = 'sqlite3'           # 'postgresql_psycopg2', 'postgresql', 'mysql', 'sqlite3' or 'oracle'.
DATABASE_NAME = '/opt/ovmtb/db/ovmtb.db'             # Or path to database file if using sqlite3.
DATABASE_USER = ''             # Not used with sqlite3.
DATABASE_PASSWORD = ''         # Not used with sqlite3.
DATABASE_HOST = ''             # Set to empty string for localhost. Not used with sqlite3.
DATABASE_PORT = ''             # Set to empty string for default. Not used with sqlite3.

# Local time zone for this installation. Choices can be found here:
# http://en.wikipedia.org/wiki/List_of_tz_zones_by_name
# although not all choices may be available on all operating systems.
# If running in a Windows environment this must be set to the same as your
# system time zone.
TIME_ZONE = 'America/Chicago'

# Language code for this installation. All choices can be found here:
# http://www.i18nguy.com/unicode/language-identifiers.html
LANGUAGE_CODE = 'en-us'

ugettext = lambda s: s
LANGUAGES = (
    ('en', ugettext('English')),
)

SITE_ID = 1

# If you set this to False, Django will make some optimizations so as not
# to load the internationalization machinery.
USE_I18N = True

# Absolute path to the directory that holds media.
# Example: "/home/media/media.lawrence.com/"
MEDIA_ROOT = '/opt/ovmtb/uploads/'

# URL that handles the media served from MEDIA_ROOT. Make sure to use a
# trailing slash if there is a path component (optional in other cases).
# Examples: "http://media.lawrence.com", "http://example.com/media/"
MEDIA_URL = ''

# URL prefix for admin media -- CSS, JavaScript and images. Make sure to use a
# trailing slash.
# Examples: "http://foo.com/media/", "/media/".
ADMIN_MEDIA_PREFIX = '/media/'

# Make this unique, and don't share it with anybody.
SECRET_KEY = 'nf+mh!(po1)_#m+3a!awkfxn!b+s2noj2@d7b9(thyj2j*nf^_'

# List of callables that know how to import templates from various sources.
TEMPLATE_LOADERS = (
    'django.template.loaders.filesystem.load_template_source',
    'django.template.loaders.app_directories.load_template_source',
#     'django.template.loaders.eggs.load_template_source',
)

TEMPLATE_CONTEXT_PROCESSORS = (
    "django.core.context_processors.auth",
    "django.core.context_processors.debug",
    "django.core.context_processors.i18n",
    "django.core.context_processors.media",
    "ovmtb.ovmtb_globals.get_ovmtb_globals")

MIDDLEWARE_CLASSES = (
    'django.middleware.common.CommonMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.locale.LocaleMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'ovmtb.middleware.OVMTBSessionLogger.OVMTBSessionLogger',
    'ovmtb.middleware.OVMTBAuditLogger.OVMTBAuditLogger',
)

ROOT_URLCONF = 'ovmtb.urls'

TEMPLATE_DIRS = (
    # Put strings here, like "/home/html/django_templates" or "C:/www/django/templates".
    # Always use forward slashes, even on Windows.
    # Don't forget to use absolute paths, not relative paths.
    "/var/www/html/ovmtb/media/templates",
    "/var/www/html/ovmtb/media/templates/wizard",
)

INSTALLED_APPS = (
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.sites',
    'django.contrib.admin',
    'ovmtb.login',
    'ovmtb.templates',
    'ovmtb.resources',
    'ovmtb.admin',
    'ovmtb.user_profile',
)

# Turn off persistent cookies so that multiple IE windows do not share cookies
# bugz8101
SESSION_EXPIRE_AT_BROWSER_CLOSE=True

LOGIN_REDIRECT_URL="/ovmtb/templates"
LOGIN_URL="/ovmtb/login"

DEFAULT_FROM_EMAIL='webmaster@localhost'
EMAIL_HOST='localhost'
EMAIL_PORT=25
EMAIL_HOST_USER=''
EMAIL_HOST_PASSWORD=''
EMAIL_SUBJECT_PREFIX='[OVMTB] '
EMAIL_USE_TLS=False

#These settings are unique to the OVMTB application
OVMTB_BUILD_QUEUE_DIR="/var/spool/ovmtb"
OVMTB_BUILD_DIR="/opt/ovmtb/builds"
OVMTB_LOG_DIR="/var/log/ovmtb"
OVMTB_TAR_DIR="/opt/ovmtb/tarballs"
OVMTB_UPLOAD_DIR="/opt/ovmtb/uploads"
OVMTB_MODIFYJEOS_DEBUG=False

OVMTB_SESSION_DATA_DEBUG=False
OVMTB_SESSION_DATA_DEBUG_LOG='session_data.log'
OVMTB_AUDIT=False
OVMTB_AUDTI_LOG='audit.log'
