# Copyright (C) 2009 Oracle Inc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
from django.conf.urls.defaults import *
from ovmtb.templates.Description import DescriptionStep
from ovmtb.templates.AddEULAStep import AddEULAStep
from ovmtb.templates.Hardware import HardwareStep
from ovmtb.templates.HardwareDisksStep import HardwareDisksStep
from ovmtb.templates.OperatingSystem import OperatingSystemStep
from ovmtb.templates.InstallSources import InstallSourcesStep
from ovmtb.templates.AdditionalPackages import AdditionalPackagesStep
from ovmtb.templates.AddPackageStep import AddPackageStep
from ovmtb.templates.Confirm import ConfirmStep
from ovmtb.templates.Progress import ProgressStep

urlpatterns = patterns('ovmtb.templates.views',
    (r'^$', 'templates'),
    (r'^description/(?P<project_id>\d+)/$', 'basic_step', {'step_class': DescriptionStep}),
    (r'^description/$', 'basic_step', {'step_class': DescriptionStep}),
    (r'^description/add_EULA/(?P<project_id>\d+)/$', 'basic_step', {'step_class': AddEULAStep}),
    (r'^description/add_EULA/$', 'basic_step', {'step_class': AddEULAStep}),
    (r'^hardware/(?P<project_id>\d+)/$', 'basic_step', {'step_class': HardwareStep}),
    (r'^hardware/$', 'basic_step', {'step_class': HardwareStep}),
    (r'^hardware_disks/disk(?P<disk_id>\d+)/add/(?P<project_id>\d+)/$', 'basic_step',
        {'step_class': HardwareDisksStep, 'type':'add'}),
    (r'^hardware_disks/disk(?P<disk_id>\d+)/add/$', 'basic_step',
        {'step_class': HardwareDisksStep, 'type':'add'}),
    (r'^hardware_disks/disk(?P<disk_id>\d+)/(?P<project_id>\d+)/$', 'basic_step',
        {'step_class': HardwareDisksStep, 'type':'edit'}),
    (r'^hardware_disks/disk(?P<disk_id>\d+)/$', 'basic_step',
        {'step_class': HardwareDisksStep, 'type':'edit'}),
    (r'^install_sources/(?P<project_id>\d+)/$', 'basic_step', {'step_class': InstallSourcesStep}),
    (r'^install_sources/$', 'basic_step', {'step_class': InstallSourcesStep}),
    (r'^operating_system/(?P<project_id>\d+)/$', 'basic_step', {'step_class': OperatingSystemStep}),
    (r'^operating_system/$', 'basic_step', {'step_class': OperatingSystemStep}),
    (r'^additional_packages/(?P<project_id>\d+)/$', 'basic_step', {'step_class': AdditionalPackagesStep}),
    (r'^additional_packages/$', 'basic_step', {'step_class': AdditionalPackagesStep}),
    (r'^additional_packages/add/(?P<project_id>\d+)/$', 'basic_step', {'step_class': AddPackageStep}),
    (r'^additional_packages/add/$', 'basic_step', {'step_class': AddPackageStep}),
    (r'^confirm/(?P<project_id>\d+)/$', 'basic_step', {'step_class': ConfirmStep}),
    (r'^confirm/$', 'basic_step', {'step_class': ConfirmStep}),
    (r'^progress/(?P<project_id>\d+)/$', 'basic_step', {'step_class': ProgressStep}),
    (r'^clean/(?P<project_id>\d+)/$', 'clean'),
    (r'^build/(?P<project_id>\d+)/$', 'build'),
    (r'^save/(?P<project_id>\d+)/$', 'save'),
    (r'^save/$', 'save'),
    (r'^saveandbuild/(?P<project_id>\d+)/$', 'saveAndBuild'),
    (r'^saveandbuild/$', 'saveAndBuild'),
)
