# Copyright (C) 2009 Oracle Inc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
from django.conf.urls.defaults import *

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # urls for login/logout
    (r'^ovmtb/$', 'django.contrib.auth.views.login', {'template_name': 'login.html'}),
    (r'^ovmtb/login/$', 'django.contrib.auth.views.login', {'template_name': 'login.html'}),
    (r'^ovmtb/login/usercreated/$', 'django.contrib.auth.views.login', {'template_name': 'login_usercreated.html'}),
    (r'^ovmtb/login/resetpassword/$', 'django.contrib.auth.views.login', {'template_name': 'login_resetpassword.html'}),
    (r'^ovmtb/logout/$', 'django.contrib.auth.views.logout_then_login', {'login_url': '/ovmtb/login'}),

    # urls for forgot password/reset password
    (r'^ovmtb/forgotpassword/$', 'django.contrib.auth.views.password_reset', {'template_name':'password_reset_form.html', 'email_template_name': 'password_reset_email.html'}),
    (r'^ovmtb/forgotpassword/done/$', 'django.contrib.auth.views.password_reset_done', {'template_name': 'password_reset_done.html'}),
    (r'^ovmtb/resetpassword/(?P<uidb36>[0-9A-Za-z]+)-(?P<token>.+)/$', 'django.contrib.auth.views.password_reset_confirm', {'template_name': 'password_reset_confirm.html'}),
    (r'^ovmtb/resetpassword/complete/$', 'django.contrib.auth.views.password_reset_complete', {'template_name': 'password_reset_complete.html'}),
 
    # urls for user register
    (r'^ovmtb/register/$', 'ovmtb.login.views.register'),
    (r'^ovmtb/register/confirm/$', 'ovmtb.login.views.confirm'),

    # url for template project
    (r'^ovmtb/templates/', include('ovmtb.templates.urls')),
    # url for resources
    (r'^ovmtb/resources/', include('ovmtb.resources.urls')),
    # url for user profile
    (r'^ovmtb/profile/', include('ovmtb.user_profile.urls')),
    # url for user adminitration
    (r'^ovmtb/admin/', include('ovmtb.admin.urls')),

    # url for site admin
    (r'^admin/(.*)', admin.site.root),
)
